Description

Please add SupportedUriSchemes and SupportedMimeTypes properties on the MediaPlayer interface, which are mandatory for

MPRIS implementation in KDE.

The was previously not required, but KDE's last plasma update made its media controller more strict to protect against "fishy" DBus

traffic. The result: Media control in the current version of plasma (5.16.4-1) no longer works with Audacious.

Given the widespread use of KDE, I hope this can be prioritized.

SupportedUriSchemes — as

Read only

When this property changes, the org.freedesktop.DBus.Properties.PropertiesChanged signal is emitted with the new value.

The URI schemes supported by the media player.

This can be viewed as protocols supported by the player in almost all cases. Almost every media player will include support for the

"file" scheme. Other common schemes are "http" and "rtsp".

Note that URI schemes should be lower-case.

SupportedMimeTypes — as

Read only

When this property changes, the org.freedesktop.DBus.Properties.PropertiesChanged signal is emitted with the new value.

The mime-types supported by the media player.

Mime-types should be in the standard format (eg: audio/mpeg or application/ogg).

https://specifications.freedesktop.org/mpris-spec/2.0/Media_Player.html#Property:SupportedUriSchemes

https://specifications.freedesktop.org/mpris-spec/2.0/Media_Player.html#Property:SupportedMimeTypes

History

#1 - September 06, 2019 00:28 - 3ndymion _

Hi.  To add a little voice to this, Audacious worked perfect with KDE's media player before they made it more strict.  There were no usability problems

at all between the 2 programs.  It sure would be nice to have it working again.  : )

#2 - September 07, 2019 12:32 - John Lindgren

KDE ought to consider what they break when they make changes like this.  This is not trivial to implement, it will likely remain broken now for quite

some time.

#3 - September 07, 2019 23:14 - Ariadne Conill

Sigh, I will work on it.

#4 - September 08, 2019 00:46 - Ariadne Conill

Latest git has enough of this implemented to pacify KDE 5.16.4.  Please try it and reopen if you are still having problems.
#5 - September 08, 2019 00:46 - Ariadne Conill

- Status changed from New to Closed
